Loading...
Searching...
No Matches
dparallel.c File Reference
`#include "config.h"`
`#include "ncdispatch.h"`
Include dependency graph for dparallel.c:

Go to the source code of this file.

## Functions

int | nc_create_par (const char *path, int cmode, MPI_Comm comm, MPI_Info info, int *ncidp)
| Create a netCDF file for parallel I/O.
int | nc_create_par_fortran (const char *path, int cmode, int comm, int info, int *ncidp)
| Create a netCDF file for parallel access from the Fortran API.
int | nc_open_par (const char *path, int omode, MPI_Comm comm, MPI_Info info, int *ncidp)
| Open an existing netCDF file for parallel I/O.
int | nc_open_par_fortran (const char *path, int omode, int comm, int info, int *ncidp)
| This is the same as nc_open_par(), but accepts the MPI comm/info as integers.
int | nc_var_par_access (int ncid, int varid, int par_access)
| This function will change the parallel access of a variable from independent to collective and vice versa.